Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Class SimAction

    java.lang.Object
      uchicago.src.sim.engine.BasicAction
          uchicago.src.sim.engine.SimAction

Deprecated. No longer used now that bytecode is generated directly.

    public class SimAction

extends BasicAction

A simple BasicAction that wraps a Method and an Object, and provides a execute() to call that Method on that Object.

Version:
  $Revision: 1.4 $ $Date: 2004/11/03 19:50:57 $
Author:
  Nick Collier

Field Summary

Fields inherited from class uchicago.src.sim.engine.BasicAction
`INTERVAL_UPDATER, ONE_TIME_UPDATER, updater`

Constructor Summary
`SimAction(java.lang.Object object, java.lang.reflect.Method method)` Deprecated. Constructs a SimAction from the specified Object and Method.

Method Summary
`void` | `execute()` Deprecated. Executes this SimAction (i.e. invokes a Method on an Object)

Methods inherited from class uchicago.src.sim.engine.BasicAction
`addToGroup, getIntervalTime, getName, getNextTime, reSchedule, setIntervalTime, setName, setNextTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimAction

    public SimAction(java.lang.Object object,
                     java.lang.reflect.Method method)

  Deprecated.
  Constructs a SimAction from the specified Object and Method.

  Parameters:
    `object` - the object on which to call the Method.
    `method` - the Method to call.

Method Detail

### execute

    public void execute()

  Deprecated.
  Executes this SimAction (i.e. invokes a Method on an Object)

  Specified by:
    `execute` in class `BasicAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD